Bug 1129267 - grids (typically in sub-tabs) may show previously-loaded data (e.g. data for previously selected main-grid item) before showing the updated data (e.g. data for the currently selected main-grid item)
Summary: grids (typically in sub-tabs) may show previously-loaded data (e.g. data for ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: All
OS: All
medium
low vote
Target Milestone: ovirt-4.0.0-alpha
: ---
Assignee: bugs@ovirt.org
QA Contact: Elad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 12:41 UTC by Lukas Svaty
Modified: 2016-03-10 13:14 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-10 13:14:01 UTC
oVirt Team: UX
ylavi: ovirt-4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)
Images of iso1 are shown instead of those of iso2. (429.44 KB, application/octet-stream)
2015-08-17 11:20 UTC, Idan Shaby
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 37229 master MERGED webadmin: Fix running concurrent GetImagesList calls Never

Description Lukas Svaty 2014-08-12 12:41:12 UTC
Description of problem:
When in WA portal admin opens a iso domain images subtab and while loading clicks on another iso domain. Images of first iso domain are shown.

Version-Release number of selected component (if applicable):
ovirt-rc1

How reproducible:
100%

Steps to Reproduce:
1. Select iso domain with images in storage tab
2. Go to images subtab
3. While portal is loading the images select another iso domain

Actual results:
Images of iso domain from 1. are shown as images of iso domain selected in step 3.

Expected results:
Should be refreshed correctly

Comment 1 Allon Mureinik 2014-11-26 16:19:53 UTC
Can we get the engine and VDSM logs please?

Comment 2 Lukas Svaty 2014-11-26 16:42:46 UTC
No errors in VDSM or engine log, as this is just WA portal problem (there will be literally nothing regarding this IO portal as there are no actual operations performed). Incorrect iso images are loaded because of quick change of tab.

But if you still insist on engine.logs I'll have to prepare env and reproduce this.

Comment 3 Allon Mureinik 2015-01-22 14:06:09 UTC
This is a race that doesn't reproduce on any storage that's marginally fast.
Pushing out to 3.6.0.

Comment 4 Elad 2015-04-19 12:13:44 UTC
Reproduced using:
3.6.0-1
ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
ovirt-engine-webadmin-portal-3.6.0-0.0.master.20150412172306.git55ba764.el6.noarch


Steps:
1) Had 2 unattached ISO domains
2) Attached and activated one of the domains 
3) Navigated to the active domain's images list and while it was loading, clicked on the unattached domain.

Results: While being on the images list subtab of the unattached domain, the active domain's images list was presented.

Comment 5 Idan Shaby 2015-05-14 14:16:04 UTC
Works for me on master - 21547f64b43bb2e3ced4faa26adda043cf736ab7.

I've checked it with the first storage domain activated and the second one:
1. Inactive and attached to dc.
2. Inactive and detached from dc.
3. Active and attached to dc.

Comment 7 Elad 2015-05-14 14:42:14 UTC
I've was already tested on the latest 3.6 build and it reproduced - see comment #4. Since we don't test over the current master, I'll give it a try once we have the new 3.6 build for qe.

Comment 9 Idan Shaby 2015-05-20 10:29:02 UTC
Talked to Elad f2f.
We saw that using my engine it's very hard to reproduce this bug from my laptop, while from his laptop (with my engine) the bug occurs every time.
I don't know what's the reason for this, so I am re-assigning it to myself for now.

Comment 10 Idan Shaby 2015-08-17 11:20:51 UTC
Created attachment 1063778 [details]
Images of iso1 are shown instead of those of iso2.

Comment 11 Idan Shaby 2015-08-17 11:21:14 UTC
This scenario can be reproduced by doing the following:
Have two iso domains, one containing a lot of iso files and the other containing only a few.
Then, clicking on the images sub tab of the "big" domain and then on the second domain causes the second domain's images to be shown first (since they were loaded quickly), and when the "big" one finishes to load - it overrides the "small" one's images (so that you see the "big" one's images instead of the small one's).
I've attached a video showing this in my env.

This type of scenario can happen also in other places in the UI, and not only in the images sub tab under storage. Thus, it should not be fixed in the iso domain images level, but in the infrastructure level.
Moving to UX.

Comment 12 Red Hat Bugzilla Rules Engine 2015-10-19 10:59:45 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 13 Yaniv Kaul 2016-03-10 13:14:01 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.